Subject: [alpine-aports] [PATCH] main/oidentd: fix inline compiler failure

From: Christian Kampka <[email-masked]>
Date: Fri, 6 Nov 2015 15:27:45 +0100

---
 main/oidentd/APKBUILD         | 14 +++++++++++++-
 main/oidentd/fix-inline.patch | 13 +++++++++++++
 2 files changed, 26 insertions(+), 1 deletion(-)
 create mode 100644 main/oidentd/fix-inline.patch

diff --git a/main/oidentd/APKBUILD b/main/oidentd/APKBUILD
index b09faeb..9736f40 100644
--- a/main/oidentd/APKBUILD
+++ b/main/oidentd/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=oidentd
 pkgver=2.0.8
-pkgrel=4
+pkgrel=5
 pkgdesc="Configurable IDENT server that supports NAT/IP masq."
 url="http://dev.ojnk.net/"
 arch="all"
@@ -11,6 +11,7 @@ depends=""
 makedepends=""
 subpackages="$pkgname-doc"
 source="http://downloads.sourceforge.net/ojnk/$pkgname-$pkgver.tar.gz
+fix-inline.patch
 oidentd.conf
 oidentd.initd
 oidentd.confd"
@@ -18,6 +19,14 @@ oidentd.confd"
 _builddir="$srcdir/$pkgname-$pkgver"
 prepare() {
 	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		patch*|*.patch)
+			msg "Applying $i"
+			patch -p1 -i "$srcdir"/$i || return 1
+			;;
+		esac
+	done
 	update_config_sub || return 1
 }
 
@@ -44,14 +53,17 @@ package() {
 }
 
 md5sums="c3d9a56255819ef8904b867284386911  oidentd-2.0.8.tar.gz
+5396469094f9eed0561e0f40584829b6  fix-inline.patch
 d9c40e4d6a0bde685a359ad49b4eada2  oidentd.conf
 8177b7479312db47fd952eb69766a403  oidentd.initd
 05a43d3987754f179f4e31bbe61ff315  oidentd.confd"
 sha256sums="a54cbed187281f8d5a301d1d8fd5cb0f30bfb13a5a8e9ab752ace76c1010fb6f  oidentd-2.0.8.tar.gz
+1e114212783f817e917840da370a8a63cbd7def3d66ca27261f322f185e89683  fix-inline.patch
 fe91a7af10e55c90a8468ba529012f8359507353035d72c669b535c8b84eb9dc  oidentd.conf
 beac7a3067d44dcd9682a016d35564b40433b024be2b3b45d2f9433ac818a7d8  oidentd.initd
 acdd88d817474e392e8f07b0f00579007a71340d00a5520d7a2661ecf4a7e5f4  oidentd.confd"
 sha512sums="86229a4ef9892121c25a7140616e180f862ca34b73ea3ad9f0fbb008f657abb17e9f14c2c25ae14c14bfc14bf1ea10b50fd68318631a9c52227bbfd6e6d43288  oidentd-2.0.8.tar.gz
+797b5d541f50a9ac7c5bc043c7e6deda75617caac3f58438cf12bba9e2ece813495f31ce17b3fc0d32be2ff8278e8789108ecfebb01072874b9ac7d6e758ec81  fix-inline.patch
 a05de9b08f87a200309c39d3bc3aba0aa2c6461c3c43a9d851299e6083f0ca9a362409b0db93ca069c7a50d3a14169a308aea51b3d42ebf0180a4b4c99bf5126  oidentd.conf
 c00c246ed223bd56407e10edbc50e247c32b4552c256b344b8497814446f1f7aa0c36daeb6aaf7c29cc9b31aeca992ee3b85fa480ed9380a68cdd8bd1b5f95b9  oidentd.initd
 d3aba90970df7cf9869934380267b3f5c687a86ad532fa854728e2f7506551254ae4bda0a1edece24d26c4da6c29d7e9c44923a29fd67016b88a7766c6e6a050  oidentd.confd"
diff --git a/main/oidentd/fix-inline.patch b/main/oidentd/fix-inline.patch
new file mode 100644
index 0000000..777d9f6
--- /dev/null
+++ b/main/oidentd/fix-inline.patch
@@ -0,0 +1,13 @@
+diff --git a/src/oidentd_util.h.orig b/src/oidentd_util.h
+index a136c47..639d49f 100644
+--- a/src/oidentd_util.h.orig
++++ b/src/oidentd_util.h
+@@ -58,7 +58,7 @@ int find_user(const char *temp_user, uid_t *uid);
+ int find_group(const char *temp_group, gid_t *gid);
+
+ int random_seed(void);
+-inline int randval(int i);
++extern int randval(int i);
+
+ #ifndef HAVE_SNPRINTF
+ 	int snprintf(char *str, size_t n, char const *fmt, ...);
-- 
2.6.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---